Bug 717681 - Review Request: python26-argparse - Optparse inspired command line parser for Python
Summary: Review Request: python26-argparse - Optparse inspired command line parser for...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 14:56 UTC by Pierre-YvesChibon
Modified: 2011-07-20 15:31 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-07-20 15:31:24 UTC
a.badger: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2011-06-29 14:56:50 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/python26-argparse.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/python26-argparse-1.2.1-2.fc15.src.rpm
Description: 
The argparse module is an optparse-inspired command line parser that
improves on optparse by:
 * handling both optional and positional arguments
 * supporting parsers that dispatch to sub-parsers
 * producing more informative usage messages
 * supporting actions that consume any number of command-line args
 * allowing types and actions to be specified with simple callables
    instead of hacking class attributes like STORE_ACTIONS or CHECK_METHODS

as well as including a number of other more minor improvements on the
optparse API.

For Python 2.6


Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3169526

Comment 1 Toshio Ernie Kuratomi 2011-06-29 16:22:26 UTC
Good:
* Named appropriately
* Proper license
* Spec file is legible
* Source matches upstream
* No locale files present
* No shared libraries
* Not relocatable
* Owns all directories and files it creates and nothing more
* Consistently uses macros
* Code not content
* Not a GUI app
* All filenames valid UTF-8
* No scriptlets
* builds in koji
* rpmlint just has false positives on spelling

Needswork:
* LICENSE.txt file present but not included (now fixed in python-argparse as well)
  - NEWS.txt could be included as well (run dos2unix on it to fix EOL as well)

Fix the inclusion of the LICENSE file and this is APPROVED

Remember to retire and dead.package in devel after creating this (since we only need it in el5)

Comment 2 Pierre-YvesChibon 2011-06-29 16:34:36 UTC
Thanks for the review, I will make the changes when I import the package.

New Package SCM Request
=======================
Package Name: python26-argparse 
Short Description: Optparse inspired command line parser for Python 
Owners: pingou
Branches: el5
InitialCC: toshio

Comment 3 Gwyn Ciesla 2011-06-29 16:41:42 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-06-29 17:02:23 UTC
python26-argparse-1.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-argparse-1.2.1-3.el5

Comment 5 Fedora Update System 2011-07-01 15:28:27 UTC
python26-argparse-1.2.1-3.el5,packagedb-cli-1.0.0-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-argparse-1.2.1-3.el5,packagedb-cli-1.0.0-6.el5

Comment 6 Fedora Update System 2011-07-02 17:27:24 UTC
Package python26-argparse-1.2.1-3.el5, packagedb-cli-1.0.0-6.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python26-argparse-1.2.1-3.el5 packagedb-cli-1.0.0-6.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python26-argparse-1.2.1-3.el5,packagedb-cli-1.0.0-6.el5
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-07-20 15:31:12 UTC
python26-argparse-1.2.1-3.el5, packagedb-cli-1.0.0-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.